"""
Streamlit Application
Loïc Chapron
"""

import streamlit as st
import pandas as pd
import src.basic as tmp


tmp.base("GarganTextJsonToTSV")


def getText(corpusJson):

    output = "title\tsource\tpublication_year\tpublication_month\tpublication_day\tabstract\tauthors\tweight\n"

    for row in corpusJson['corpus']:
        doc = row['document']['hyperdata']
        abstract = "empty"
        authors = "empty"
        title = "empty"
        source = "empty"

        if 'title' in doc.keys():
            title = doc['title'].replace('"', '').replace('\t', '')

        if 'source' in doc.keys():
            source = doc['source'].replace('"', '').replace('\t', '')

        if 'abstract' in doc.keys():
            abstract = doc['abstract'].replace('"', '').replace('\t', '')

        if 'authors' in doc.keys():
            authors = doc['authors']

        output += title + "\t" + source + "\t" + str(doc['publication_year']) + "\t" + str(
            doc['publication_month']) + "\t" + str(doc['publication_day']) + "\t" + abstract + "\t" + authors + "\t" + str(1) + "\n"

    return output


st.write(st.session_state.general_text_dict['text'])
file = st.file_uploader(
    st.session_state.general_text_dict['file'], type=["json"], key='file')

if file:
    try:
        name = file.name.split('.')[0] + '.csv'
        df = pd.read_json(file)
        st.write(st.session_state.general_text_dict['new_file'])

        st.download_button(name, getText(df), name)
    except Exception as e:
        st.write(st.session_state.general_text_dict['error'])
    file.close()
