"""
Streamlit Application
Nicolas Atrax
"""

import src.basic as tmp
from lib.tika.tika import parser
import streamlit as st
import pandas as pd
import chardet
import re
from datetime import date
import codecs
import os
import tempfile
os.environ['TIKA_SERVER_JAR'] = 'https://repo1.maven.org/maven2/org/apache/tika/tika-server/1.19/tika-server-1.19.jar'

tmp.base("PDFtoTXT")


# Tool Code Start
def replaceNewlines(txt):
    tmp = txt.split("\n")
    res = ""
    for line in tmp:
        if line.replace(" ", "") == "":
            continue
        if res != "":
            res += '\n'
        res += line
    return res


def reSplit(new, old):
    res = []
    count = 0
    for s in old:
        tmp = ""
        for c in s:
            if c == new[count]:
                tmp += c
                count += 1
        if (tmp != ""):
            res.append(tmp)
    return res


def removeFiligrane(abstract, watermark):
    if watermark == "":
        return abstract
    tmp = abstract.split("\n")
    txt = "".join(tmp).replace(watermark, "")
    res = reSplit(txt, tmp)
    res = "\n".join(res)
    return res


def getTextFromPDF(fileAddress, watermark):
    parsed_pdf = parser.from_file(fileAddress)
    data = parsed_pdf['content']
    data = replaceNewlines(data)
    return removeFiligrane(data, watermark)


def PDFtoTXT():
    fileName = st.session_state.file.name
    watermark = st.session_state.watermark
    txt = getTextFromPDF(st.session_state.pdfDir.name +
                         "/" + fileName, watermark)
    return txt

# Tool Code End


form = st.form('api')

# Page Code Start

if 'page' not in st.session_state:
    st.session_state.page = 0


def setSubmit():
    st.session_state.submit = True


def setPage():
    st.session_state.page = 0


def askPDF():

    with st.form("Submit"):
        st.write(st.session_state.general_text_dict['text'])
        st.text_input(
            st.session_state.general_text_dict['watermark'], key='watermark')
        st.file_uploader(
            st.session_state.general_text_dict['file'], type=["pdf"], key='file')
        st.form_submit_button(
            st.session_state.general_text_dict['submit'], on_click=setSubmit)


# Page Code End

if 'submit' not in st.session_state:
    st.session_state.submit = False

if st.session_state.page == 0:
    if st.session_state.submit:
        st.session_state.submit = False
        if st.session_state.file != None:
            st.session_state.page = 1
        else:
            askPDF()
    else:
        askPDF()

if st.session_state.page == 1:
    st.session_state.pdfDir = tempfile.TemporaryDirectory()
    name = st.session_state.file.name
    with open(st.session_state.pdfDir.name + "/" + name, "wb") as file:
        file.write(st.session_state.file.getvalue())
    txt = PDFtoTXT()
    name = st.session_state.file.name.split('.')[0] + '.txt'
    st.write(st.session_state.general_text_dict['new_file'])
    st.session_state.submit = False
    st.download_button(name, txt, name, on_click=setPage)
