"""
Streamlit Application
Loïc Chapron
"""

import streamlit as st
import lib.rispy.rispy as rispy
from datetime import date
import src.basic as tmp


tmp.base("RisToGarganText")


def read_file(file):
    output = "title\tsource\tpublication_year\tpublication_month\tpublication_day\tabstract\tauthors\tweight\n"

    docs = rispy.loads(file.read().decode('utf-8'))

    for doc in docs:
        keys = doc.keys()

        if 'secondary_title' in keys:
            source = doc['secondary_title']
        else:
            source = ""

        if 'abstract' in keys:
            abstract = doc['abstract'].replace('\t', '').replace('"', '')
        else:
            abstract = ""
        title = doc['title'].replace('\t', '').replace('"', '')

        month = '1'
        day = '1'
        if doc.__contains__('date'):
            tmp = doc['date'].split("/")
            year = tmp[0]
            month = tmp[1]
            day = tmp[2]
        else:
            if doc.__contains__('year'):
                year = doc['year'].replace('/', '').replace('.', '')
            else:
                year = str(date.today().year)

        if doc.__contains__('authors'):
            authors = ';'.join(doc['authors'])
        else:
            authors = ""

        row = str(title) + "\t" + str(source) + "\t" + year + "\t" + month + \
            "\t" + day + "\t" + abstract + "\t" + \
            authors + "\t" + str(1) + "\n"

        output += row
    return output


st.write(st.session_state.general_text_dict['text'])
file = st.file_uploader(
    st.session_state.general_text_dict['file'], type=["ris"], key='file')

if file:
    try:
        name = file.name.split('.')[0] + '.csv'
        st.write(st.session_state.general_text_dict['new_file'])

        st.download_button(name, read_file(file), name)
    except Exception as e:
        st.write(st.session_state.general_text_dict['error'])
    file.close()
